
QGIS Application - Bug report #6581

Transformation

2012-10-28 04:11 AM - Anna Hock

Status: Closed

Priority: Low

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: upstream

Crashes QGIS or corrupts data:No Copied to github as #: 15774

Description

We faced some problems when transforming a WGS84 shapefile to a UTM projection and then back. 

There are very little overlaps within the polygons of the shapefile after we saved it back to WGS84. 

Those errors are smaller than 1mm.

History

#1 - 2012-10-28 04:21 AM - Giovanni Manghi

- Status changed from Open to Feedback

Is this a question? an error report? If it is an error report:

use meaningful titles

describe the problem in details, specifing the tools you are using, the steps you are doing and the expcted results. Also specify the QGIS version, the

operating system and try to attach sample data.

Please leave feedback.

#2 - 2012-10-28 04:21 AM - Giovanni Manghi

- Priority changed from Normal to Low

#3 - 2012-10-28 04:38 AM - Anna Hock

We faced some problems when transforming a WGS84 shapefile to a UTM projection and then back.

There are very little overlaps within the polygons of the shapefile after we saved it back to WGS84.

Those errors are smaller than 1mm.

We just saved the shapefile again with a UTM projection - right click on the layer and 'save as'. After we checked the data for overlaps and corrected it and

then we saved it back to WGS84 with the same 'save as' tool. Afterwards we checked again the data for overlaps and every parcel is overlapping for less

than 1mm.

I hope this was more precise!

#4 - 2012-10-28 04:40 AM - Giovanni Manghi

Anna Hock wrote:
We faced some problems when transforming a WGS84 shapefile to a UTM projection and then back.

There are very little overlaps within the polygons of the shapefile after we saved it back to WGS84.

Those errors are smaller than 1mm.

We just saved the shapefile again with a UTM projection - right click on the layer and 'save as'. After we checked the data for overlaps and corrected

it and then we saved it back to WGS84 with the same 'save as' tool. Afterwards we checked again the data for overlaps and every parcel is

overlapping for less than 1mm.

I hope this was more precise!

I guess that at least very small errors are expected in any kind of transformation, am I wrong?

#5 - 2012-10-28 04:43 AM - Giovanni Manghi

We just saved the shapefile again with a UTM projection - right click on the layer and 'save as'. After we checked the data for overlaps and corrected

it and then we saved it back to WGS84 with the same 'save as' tool. Afterwards we checked again the data for overlaps and every parcel is

overlapping for less than 1mm.

I'm sorry, the observed overlap is for features inside the layer you transformed or between the features of the layer you transformed and features in 

another layer?

#6 - 2012-10-28 09:12 AM - Anna Hock

With our database table which is in WGS84. 

Not the features within the shapefile.

#7 - 2012-10-28 10:59 AM - Giovanni Manghi

Anna Hock wrote:

With our database table which is in WGS84. 

Not the features within the shapefile.

as I said I do not expect any transformation to don't add even a very small error. But I may be wrong, so you may want to check this statement, eventually

testing also other software.

#8 - 2012-10-28 11:55 AM - Anna Hock

I checked it with ArcMap - the error didn´t occur.

#9 - 2012-10-28 12:00 PM - Giovanni Manghi

Anna Hock wrote:

I checked it with ArcMap - the error didn´t occur.
you must check with gdal/ogr anyway, because QGIS uses it in many operations (like saving vectors/rasters in new projections). If the error occurs also

with gdal/ogr then probably you will need to file/move this ticket in its bug tracker.

#10 - 2012-10-29 12:27 AM - Anna Hock

Yes, you are right - its a problem of ogr! I checked it with ogr2ogr and there is the same problem.

#11 - 2012-10-29 12:40 AM - Giovanni Manghi

- Resolution set to upstream

- Status changed from Feedback to Closed
